Main Page | Class Hierarchy | Compound List | Compound Members

# plugin Class Reference

The plugin base class. More...

Inheritance diagram for plugin:

List of all members.

## Public Member Functions
| plugin ($dn=NULL)
| plugin constructor
| execute ()
| execute plugin
| remove_from_parent ()
| save_object ()
| save ()
| check ()
| adapt_from_template ($dn)
| password_change_needed ()
## Public Attributes
| parent = NULL
| Reference to parent object.
| is_account = FALSE
| Mark plugin as account.
| is_template = FALSE
| Mark plugin as template.
| attrs = array()
| Represent temporary LDAP data.
| dn = ""
| Used standard values.
| uid = ""
| sn = ""
| givenName = ""
| acl = "*none*"
| attributes = array()
| objectclasses = array()

## Detailed Description

The plugin base class.

Author:
  Cajus Pollmeier <pollmeier@gonicus.de>

Version:
  2.00

Date:
  24.07.2003

This is the base class for all plugins. It can be used standalone or can be included by the tabs class. All management should be done within this class. Extend your plugins from this class.

## Constructor & Destructor Documentation

plugin::plugin | ( | $ | dn = NULL | ) |

  | plugin constructor If 'dn' is set, the node loads the given 'dn' from LDAP Parameters:
  dn | Distinguished name to initialize plugin from
See also: plugin()

## Member Function Documentation

plugin::execute | ( |  | ) |

| execute plugin Generates the html output for this node Reimplemented in mailAccount, posixAccount, and user.

## Member Data Documentation

plugin::attrs = array()

| Represent temporary LDAP data. This is only used internally.

plugin::dn = ""

| Used standard values. dn

plugin::is_account = FALSE

| Mark plugin as account. Defines whether this plugin is defined as an account or not. This has consequences for the plugin to be saved from tab mode. If it is set to 'FALSE' the tab will call the delete function, else the save function. Should be set to 'TRUE' if the construtor detects a valid LDAP object. See also: plugin::plugin()

plugin::is_template = FALSE

| Mark plugin as template. Defines whether we are creating a template or a normal object. Has conseqences on the way execute() shows the formular and how save() puts the data to LDAP. See also: plugin::save() plugin::execute()

plugin::parent = NULL

| Reference to parent object. This variable is used when the plugin is included in tabs and keeps reference to the tab class. Communication to other tabs is possible by 'name'. So the 'fax' plugin can ask the 'userinfo' plugin for the fax number. See also: tab

The documentation for this class was generated from the following file:

- plugin.inc